
setwd("C:/Users/Graham/AAA/Programming/Goteborg/AlloppRcode")

library(ape)

source("AlloppSim_5beastxml_toplevel.r")
source("AlloppSim_6beastxml_bits.r")

#########################################################################
#########################################################################
#########################################################################


# directory for input and output
data.dpath <- "C:/Users/Graham/AAA/Programming/GoteborgReal/Silene/"

# Input data
fpath.taxatable <- "SileneTaxaTable.txt"
alignmentnames <- c("RPA2", "RPB2", "RPD2a", "RPD2b")

# BEAST information
beastXMLfilename <- "Silene.XML"

beast.chain.length <- "10000000"
beast.screen.logevery <- "10000"
beast.params.logevery <- "1000"
beast.gtrees.logevery <- "1000"
beast.multree.logevery <- "1000"
beast.dbugtune.logevery <- "10000"

# BEAST output file names
sampledgtrees.fnamebase <- "sampledgtrees"
sampledmultrees.fname <- "sampledmultrees.txt"
sampledparams.fname <- "sampledparams.txt"
DBUGTUNE.fname <- "DBUGTUNE.txt"



#########################################################################
#########################################################################
#########################################################################



beastNETorMULxmlinfo <- list(
    data.dpath=data.dpath,
    fpath.taxatable=fpath.taxatable,
    alignmentnames=alignmentnames,
    beastXMLfilename=beastXMLfilename,
    beast.chain.length=beast.chain.length,
    beast.screen.logevery=beast.screen.logevery,
    beast.params.logevery=beast.params.logevery,
    beast.gtrees.logevery=beast.gtrees.logevery,
    beast.multree.logevery=beast.multree.logevery,
    beast.dbugtune.logevery=beast.dbugtune.logevery,
    sampledgtrees.fnamebase=sampledgtrees.fnamebase,
    sampledmultrees.fname=sampledmultrees.fname,
    sampledparams.fname=sampledparams.fname, 
    DBUGTUNE.fname=DBUGTUNE.fname)


make.beastxml.MULandNET.forRealData(beastNETorMULxmlinfo)

#########################################################################
#########################################################################
#########################################################################

